DeleteSessionView

com.j0h1.contour.admin.client

## Class DeleteSessionView

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - com.j0h1.contour.admin.client.DeleteSessionView

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsRenderable, com.google.gwt.user.client.ui.IsWidget

      public class DeleteSessionView
      extends com.google.gwt.user.client.ui.Composite

  View that contains the UI elements and logic to delete an existing session.
  Author:
    Johannes Riedmann

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) static interface` | `DeleteSessionView.DeleteSessionViewUiBinder`

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) com.google.gwt.user.client.ui.FlexTable` | `ftbDeleteSession`
    `(package private) com.google.gwt.user.client.ui.Label` | `lblStatus`
    `private static DeleteSessionView.DeleteSessionViewUiBinder` | `uiBinder`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeleteSessionView()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `populateFlexTable(java.util.ArrayList<Session> sessions)`
    `void` | `refreshData()`
    `private void` | `setFlexTableHeaderData()`
    `private void` | `setStatusLabel(java.lang.String text, boolean isError)` Set the status label to a given text for feedback.

    - ### Methods inherited from class com.google.gwt.user.client.ui.Composite

      `claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ftbDeleteSession

          @UiField
          com.google.gwt.user.client.ui.FlexTable ftbDeleteSession

    - #### lblStatus

          @UiField
          com.google.gwt.user.client.ui.Label lblStatus

    - #### uiBinder

          private static DeleteSessionView.DeleteSessionViewUiBinder uiBinder

  - ### Constructor Detail

    - #### DeleteSessionView

          public DeleteSessionView()

  - ### Method Detail

    - #### setFlexTableHeaderData

          private void setFlexTableHeaderData()

    - #### refreshData

          public void refreshData()

    - #### populateFlexTable

          private void populateFlexTable(java.util.ArrayList<Session> sessions)

    - #### setStatusLabel

          private void setStatusLabel(java.lang.String text,
                                      boolean isError)

      Set the status label to a given text for feedback.
      Parameters:
        `text` - Exception/success message.
        `isError` - Flag that defines if the current message is a error message.